#   File:       SortPicts.make
#   Target:     SortPicts
#   Sources:    :Source:Events.cp
#               :Source:GWorldObj.cp
#               :Source:HeapSort.cp
#               :Source:main.cp
#               :Source:Menus.cp
#               :Source:ShellSort.cp
#               :Source:Traps.cp
#               :Source:WindowObj.cp
#               :Source:Windows.cp
#   Created:    Tuesday, September 14, 1993 09:54:15 PM


POWERPCOBJECTS = 
		:Objects:Events.o 
		:Objects:GWorldObj.o 
		:Objects:HeapSort.o 
		:Objects:main.o 
		:Objects:Menus.o 
		:Objects:ShellSort.o 
		:Objects:Traps.o 
		:Objects:WindowObj.o 
		:Objects:Windows.o 

68KOBJECTS = 
		:Objects:Events.cp.o 
		:Objects:GWorldObj.cp.o 
		:Objects:HeapSort.cp.o 
		:Objects:main.cp.o 
		:Objects:Menus.cp.o 
		:Objects:ShellSort.cp.o 
		:Objects:Traps.cp.o 
		:Objects:WindowObj.cp.o 
		:Objects:Windows.cp.o 



SortPicts  SortPicts.make  {POWERPCOBJECTS}
	CPlusLink  -sym on 
		{POWERPCOBJECTS} 
		"{PPCLibraries}"InterfaceLib.xcoff 
		"{PPCLibraries}"MathLib.xcoff 
		"{PPCLibraries}"StdCLib.xcoff 
		"{PPCLibraries}"CPlusLib.o 
		"{PPCLibraries}"StdCRuntime.o 
		"{PPCLibraries}"PPCCRuntime.o 
		"{PPCLibraries}ThreadsLib.xcoff" 
		-main __cplusstart 
		-o :Objects:SortPicts.xcoff
	makePEF :Objects:SortPicts.xcoff -o :Objects:SortPicts.pef 
		-l InterfaceLib.xcoff=InterfaceLib 
		-l MathLib.xcoff=MathLib 
		-l StdCLib.xcoff=StdCLib 
		-l ThreadsLib.xcoff=ThreadsLib 
		-ft APPL -fc RnDm
	duplicate :Objects:SortPicts.pef SortPicts -d -y
	MakeSYM :Objects:SortPicts.xcoff -o SortPicts.sym
:Objects:Events.o  SortPicts.make :Source:Events.cp
	 PPCC -w conformance -appleext on -dialect cplus -sym on -d powerc=1 :Source:Events.cp -o :Objects:Events.o
:Objects:GWorldObj.o  SortPicts.make :Source:GWorldObj.cp
	 PPCC -w conformance -appleext on -dialect cplus -sym on -d powerc=1 :Source:GWorldObj.cp -o :Objects:GWorldObj.o
:Objects:HeapSort.o  SortPicts.make :Source:HeapSort.cp
	 PPCC -w conformance -appleext on -dialect cplus -sym on -d powerc=1 :Source:HeapSort.cp -o :Objects:HeapSort.o
:Objects:main.o  SortPicts.make :Source:main.cp
	 PPCC -w conformance -appleext on -dialect cplus -sym on -d powerc=1 :Source:main.cp -o :Objects:main.o
:Objects:Menus.o  SortPicts.make :Source:Menus.cp
	 PPCC -w conformance -appleext on -dialect cplus -sym on -d powerc=1 :Source:Menus.cp -o :Objects:Menus.o
:Objects:ShellSort.o  SortPicts.make :Source:ShellSort.cp
	 PPCC -w conformance -appleext on -dialect cplus -sym on -d powerc=1 :Source:ShellSort.cp -o :Objects:ShellSort.o
:Objects:Traps.o  SortPicts.make :Source:Traps.cp
	 PPCC -w conformance -appleext on -dialect cplus -sym on -d powerc=1 :Source:Traps.cp -o :Objects:Traps.o
:Objects:WindowObj.o  SortPicts.make :Source:WindowObj.cp
	 PPCC -w conformance -appleext on -dialect cplus -sym on -d powerc=1 :Source:WindowObj.cp -o :Objects:WindowObj.o
:Objects:Windows.o  SortPicts.make :Source:Windows.cp
	 PPCC -w conformance -appleext on -dialect cplus -sym on -d powerc=1 :Source:Windows.cp -o :Objects:Windows.o
	 
SortPicts  SortPicts.make  {68KOBJECTS}
	Link -t APPL -c RnDm -sym on -mf 
		{68KOBJECTS} 
		"{CLibraries}"CplusLib.o 
		"{CLibraries}"StdCLib.o 
 		"{Libraries}"Runtime.o 
 		"{Libraries}"Interface.o 
		-o SortPicts
:Objects:Events.cp.o  SortPicts.make :Source:Events.cp
	 CPlus -sym on -mc68020  :Source:Events.cp -o :Objects:Events.cp.o
:Objects:GWorldObj.cp.o  SortPicts.make :Source:GWorldObj.cp
	 CPlus -sym on -mc68020  :Source:GWorldObj.cp -o :Objects:GWorldObj.cp.o
:Objects:HeapSort.cp.o  SortPicts.make :Source:HeapSort.cp
	 CPlus -sym on -mc68020  :Source:HeapSort.cp -o :Objects:HeapSort.cp.o
:Objects:main.cp.o  SortPicts.make :Source:main.cp
	 CPlus -sym on           :Source:main.cp -o :Objects:main.cp.o
:Objects:Menus.cp.o  SortPicts.make :Source:Menus.cp
	 CPlus -sym on -mc68020  :Source:Menus.cp -o :Objects:Menus.cp.o
:Objects:ShellSort.cp.o  SortPicts.make :Source:ShellSort.cp
	 CPlus -sym on -mc68020  :Source:ShellSort.cp -o :Objects:ShellSort.cp.o
:Objects:Traps.cp.o  SortPicts.make :Source:Traps.cp
	 CPlus -sym on           :Source:Traps.cp -o :Objects:Traps.cp.o
:Objects:WindowObj.cp.o  SortPicts.make :Source:WindowObj.cp
	 CPlus -sym on -mc68020  :Source:WindowObj.cp -o :Objects:WindowObj.cp.o
:Objects:Windows.cp.o  SortPicts.make :Source:Windows.cp
	 CPlus -sym on -mc68020  :Source:Windows.cp -o :Objects:Windows.cp.o
