#
#	Sample Threads Application
#
#	TrafficLight
#
#	[C]TrafficLight.make	-	Make Source
#
#	Copyright  Apple Computer, Inc. 1989-1990
#	All rights reserved.
#
#	Versions:	
#				1.00				08/88
#				1.01				11/88
#				1.02				04/89	MPW 3.1
#				1.03				02/90	MPW 3.2
#
#	Components:
#				TrafficLight.c
#				TrafficLight.r
#				TrafficLight.h
#				TrafficLight.make
#
#	TrafficLight is an example application that demonstrates
#
#
# 	You can define {SymOptions} as "-sym on" or "-sym off" for use with SADE
# 	We also recommend requiring prototypes for all functions
COptions = -r {SymOptions} -d SystemSevenOrLater -d DEBUG
							
CObjs		= TrafficLight.c.o 
		"{CLibraries}"StdCLib.o 
		"{Libraries}"Runtime.o 
		"{Libraries}"Interface.o 

TrafficLight		 {CObjs} TrafficLight.make
		Link -w -o {Targ} {CObjs} {SymOptions}
		SetFile {Targ} -t APPL -c 'MOOS' -a B

TrafficLight		 TrafficLight.r TrafficLight.h TrafficLight.make
		Rez  -d SystemSevenOrLater=1 -rd -o {Targ} TrafficLight.r -append

TrafficLight.c.o	 TrafficLight.make
