#
#
#	File:		NativeThreadTestApp.make
#
#	Contains:	Makefile for NativeThreadTestApp
#
#	Written by:	Brad Post
#
#	Copyright:	 1993 by Apple Computer, Inc., all rights reserved.
#
#	Change History (most recent first):
#
#		 <2>	 9/14/93	bsp		Added stuff for PPC compiler
#		 <1>	 8/13/93	bsp		first checked in
#

SourceDir	=	:Source:

ObjectDir	=	:Obj:

App			=	NativeThreadTestApp

# optional resource file

RsrcFile	=	{SourceDir}{App}.r

NativeObjs =	{ObjectDir}NativeThreadTestApp.o  
				
# these paths are relative.  replace with path to your libraries

NativeLibs	= 		"{PPCLibraries}"InterfaceLib.xcoff 			
					"{PPCLibraries}"ThreadsLib.xcoff		
					"{PPCLibraries}"StdCLib.xcoff				

# these paths are relative.  replace with path to your headers

NativeCOpts	= 	-align mac68k -appleext on -char signed -d powerc=1 -w off -d timeit

NativeLinkOpts = -main main

PowerC		=	PPCC {NativeCOpts}

{ObjectDir}	 {SourceDir} {ObjectDir}

{App}  {App}.Native

#___________________________________________________________________________________________________
# main build rule

All 	NativeThreadTestApp
	BuiltAll NativeThreadTestApp


#
# Rules for any PPC file
#
.o	 .c
	echo "Compiling PPC {Default}.c"
	{PowerC}  -o {TargDir}{Default}.o {DepDir}{Default}.c


{App}.Native	 {NativeObjs} NativeThreadTestApp.make
		PPCLink		{NativeLinkOpts}							
					{NativeLibs}								
					{NativeObjs}								
					 -o {App}.xcoff										
		makepef	{App}.xcoff -o {App} 
					-l "InterfaceLib.xcoff=InterfaceLib"        
					-l "ThreadsLib.xcoff=ThreadsLib"    
					-l "StdCLib.xcoff=StdCLib"					
		echo "include "{RsrcFile}";" | rez -a {RsrcFile} -o {App}		
		SetFile {App} -t 'APPL' -c 'hack'
		