/*
	File:		NativeThreadTestApp.h

	Contains:	Header file for the NativeThreadTestApp.

	Written by:	Brad Post

	Copyright:	 1993 by Apple Computer, Inc., all rights reserved.

	Change History (most recent first):

		<1+>	 8/13/93	bsp		Leaving open for modifications.....
		 <1>	 8/13/93	bsp		first checked in
*/

#include <Events.h>
#include <Fonts.h>
#include <Menus.h>
#include <Slots.h>
#include <Dialogs.h>
#include <Windows.h>
#include <Quickdraw.h>
#include <Types.h>
#include <Errors.h>
#include <Traps.h>
#include <GestaltEqu.h>
#include <Threads.h>

/*
 *  Defines for all of the tool to use.
 */
 
#define errorALRT			1000

#define fileMenuID			1000
#define fileMenu			2
#define	fmNew				1
#define	fmQuit				3

#define aboutALRT			1001

#define appleMenuID			1

extern myAlert(Str255 theString);
extern InitAll();
extern createNewThread();
extern myNotify( Str255 theMessage );
