#   File:       SnakesWSemaphores.make
#   Target:     SnakesWSemaphores
#   Sources:    ThreadedSnakes.r TSSnakes.c TSMain.c
#   Created:    Friday, January 29, 1993 9:18:44 PM


OBJECTS = ThreadedSnakes.c.o ThreadedSnakesMain.c.o


SnakesWSemaphores  SnakesWSemaphores.make {OBJECTS} ThreadedSnakes.r
	Link -t APPL -c SNKS -sym on -mf 
		{OBJECTS} 
		"{Libraries}"Runtime.o 
		"{Libraries}"Interface.o 
		ThreadUtilLib.o 
		-o SnakesWSemaphores
	Rez  -append ThreadedSnakes.r -o SnakesWSemaphores

ThreadedSnakes.c.o  SnakesWSemaphores.make ThreadedSnakes.c ThreadUtilLib.o ThreadedSnakes.h
	 C -r -sym on ThreadedSnakes.c

ThreadedSnakesMain.c.o  SnakesWSemaphores.make ThreadedSnakesMain.c ThreadedSnakes.h
	 C -r -sym on ThreadedSnakesMain.c

ThreadedSnakes.r  ThreadedSnakes.rsrc
	DeRez ThreadedSnakes.rsrc > ThreadedSnakes.r

